Subject: [alpine-aports] testing/tcsh: new aport

From: Rodrigo Mosconi <[email-masked]>
Date: Mon, 25 Sep 2017 22:11:47 -0300

A new aport with TCSH, an extended C-shell.

Home page: http://www.tcsh.org
From d30239d3c848068739e9e0ddce7748007cef304f Mon Sep 17 00:00:00 2001
From: Rodrigo Mosconi <[email-masked]>
Date: Mon, 25 Sep 2017 21:36:18 -0300
Subject: [PATCH] testing/tcsh: new aport

http://www.tcsh.org
Extended C-shell
---
 testing/tcsh/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/tcsh/APKBUILD

diff --git a/testing/tcsh/APKBUILD b/testing/tcsh/APKBUILD
new file mode 100644
index 0000000000..072c1982d7
--- /dev/null
+++ b/testing/tcsh/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor:
+# Maintainer:
+pkgname=tcsh
+pkgver=6.20.00
+pkgrel=0
+pkgdesc="extended C-shell"
+url="http://www.tcsh.org"
+arch="all"
+license="bsd"
+depends=""
+makedepends="ncurses-dev"
+install=""
+subpackages="$pkgname-doc"
+source="ftp://ftp.astron.com/pub/tcsh/${pkgname}-${pkgver}.tar.gz"
+builddir="$srcdir/"
+
+build() {
+	cd "$builddir/$pkgname-$pkgver"
+        ./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --prefix=/usr \
+                --bindir=/bin \
+                --mandir=/usr/share/man \
+                --infodir=/usr/share/info \
+                --with-curses \ 
+                --disable-nls
+        make
+}
+
+package() {
+	cd "$builddir/$pkgname-$pkgver"
+        make DESTDIR=${pkgdir} install || return 1
+
+        rm -rf "$pkgdir"/usr/share/locale
+
+}
+
+md5sums="59d40ef40a68e790d95e182069431834  tcsh-6.20.00.tar.gz"
+sha256sums="b89de7064ab54dac454a266cfe5d8bf66940cb5ed048d0c30674ea62e7ecef9d  tcsh-6.20.00.tar.gz"
+sha512sums="c5635393c22341e62fb9a0b953ddf8871a876ab09deb08c98237f93afa9257b4a3381d1db65eefe769e22ef845db29ab7bc78773f1f609d73c8205689a6683e9  tcsh-6.20.00.tar.gz"
-- 
2.11.3